Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.algorithms.shortestpath
Class DijkstraDistance.SourceData

    java.lang.Object
      edu.uci.ics.jung.algorithms.shortestpath.DijkstraDistance.SourceData

Direct Known Subclasses:
  DijkstraShortestPath.SourcePathData

Enclosing class:
  DijkstraDistance

protected class DijkstraDistance.SourceData
extends Object

For a given source vertex, holds the estimated and final distances, tentative and final assignments of incoming edges on the shortest path from the source vertex, and a priority queue (ordered by estimaed distance) of the vertices for which distances are unknown.

Author:
  Joshua O'Madadhain

Field Summary
`double` | `dist_reached`
`LinkedHashMap` | `distances`
`Map` | `estimatedDistances`
`boolean` | `reached_max`
`MapBinaryHeap` | `unknownVertices`

Constructor Summary
`DijkstraDistance.SourceData(ArchetypeVertex source)`

Method Summary
`void` | `createRecord(ArchetypeVertex w, ArchetypeEdge e, double new_dist)`
`Pair` | `getNextVertex()`
`void` | `update(ArchetypeVertex dest, ArchetypeEdge tentative_edge, double new_dist)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### distances

    public LinkedHashMap distances

### estimatedDistances

    public Map estimatedDistances

### unknownVertices

    public MapBinaryHeap unknownVertices

### reached_max

    public boolean reached_max

### dist_reached

    public double dist_reached

Constructor Detail

### DijkstraDistance.SourceData

    public DijkstraDistance.SourceData(ArchetypeVertex source)

Method Detail

### getNextVertex

    public Pair getNextVertex()

### update

    public void update(ArchetypeVertex dest,
                       ArchetypeEdge tentative_edge,
                       double new_dist)

### createRecord

    public void createRecord(ArchetypeVertex w,
                             ArchetypeEdge e,
                             double new_dist)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD